Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[kde-testing] and [kde-crazy] KDE4 overlays thread (part 4)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 26, 27, 28 ... 36, 37, 38  Next  
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7113
Location: Austria

PostPosted: Wed Jun 23, 2010 5:38 pm    Post subject: Reply with quote

Hmm, so maybe it isn't a kde issue at all - I'll rather try to go live with a few more X dependencies and see how that will do. ;)
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Fri Jun 25, 2010 10:56 am    Post subject: Reply with quote

is RC1 (4.5) out already ?
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 206
Location: Poland

PostPosted: Fri Jun 25, 2010 10:59 am    Post subject: Reply with quote

It's tagged, but not available on public FTPs... yet :(
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Fri Jun 25, 2010 11:25 am    Post subject: Reply with quote

Lustmored wrote:
It's tagged, but not available on public FTPs... yet :(


yeah - I just synced and it couldn't find any files - yet :(
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 206
Location: Poland

PostPosted: Fri Jun 25, 2010 12:20 pm    Post subject: Reply with quote

yay - it's being uploaded on the main KDE server :)
Back to top
View user's profile Send private message
benneque
Tux's lil' helper
Tux's lil' helper


Joined: 01 Dec 2007
Posts: 134

PostPosted: Fri Jun 25, 2010 5:32 pm    Post subject: Reply with quote

I've installed RC1 and it feels sooooo much smoother than everything before :)
YAAAY! :)

System:
2x2.8 GHz Celeron (Wolfdale)
Nvidia Geforce 9300 (a bit overclocked ... around 9400) with shared memory
4GB RAM DDR2 800
5 years old 500GB HDD 7200 RPM
GCC 4.5 with graphite (feels like graphite is save in 99% of cases)

it feels really smooth!


EDIT: does anyone know if we still need this knetworkmanager? Or is the solid-thingy alright for WPA2 WLAN etc. ?
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 206
Location: Poland

PostPosted: Fri Jun 25, 2010 7:02 pm    Post subject: Reply with quote

Tha only question is - when will we have kdepim from our wonderful Gentoo developers? :)
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7113
Location: Austria

PostPosted: Fri Jun 25, 2010 7:19 pm    Post subject: Reply with quote

As said, kdepim is still alpha and will be released at a later date. The ebuilds are there though, but some package needs to be downloaded manually elsewhere.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 206
Location: Poland

PostPosted: Fri Jun 25, 2010 8:06 pm    Post subject: Reply with quote

genstorm wrote:
As said, kdepim is still alpha and will be released at a later date. The ebuilds are there though, but some package needs to be downloaded manually elsewhere.


I know it - but if I'd like to test it out I only know about

http://dev.gentooexperimental.org/~alexxy/kde/

any other way?
Back to top
View user's profile Send private message
NForce
Tux's lil' helper
Tux's lil' helper


Joined: 07 Nov 2009
Posts: 79
Location: Kaunas, Lithuania

PostPosted: Sat Jun 26, 2010 2:16 pm    Post subject: Reply with quote

Yay, 4.4.90 is a pretty nice release after disastrous 4.4.85.
Yes, the kdm isn't fixed yet
(but it turns out that the left mouse button function is on middle mouse button, so kdm buttons work if you press middle mouse button on them).
And yes, kwin still freezes when I change it's settings, but almost everything else is fixed and works nice and fast :)
kttsd and kdesdk-misc still don't compile, and now kget doesn't compile too
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 206
Location: Poland

PostPosted: Sat Jun 26, 2010 10:07 pm    Post subject: Reply with quote

Everything compiles and works `fine`, but kalarm and korganizer both have an issue:

Quote:
/var/tmp/paludis/kde-base-korganizer-4.4.90/work/korganizer-4.4.90/korganizer/koprefsdialog.cpp:345: error: 'regions' is not a member of 'KHolidays::HolidayRegion'
/var/tmp/paludis/kde-base-kalarm-4.4.90/work/kalarm-4.4.90/kalarm/prefdlg.cpp:643: error: 'regions' is not a member of 'KHolidays::HolidayRegion'


Are we able to do anything about that? Korganizer is dep of KMail...
Back to top
View user's profile Send private message
benneque
Tux's lil' helper
Tux's lil' helper


Joined: 01 Dec 2007
Posts: 134

PostPosted: Sun Jun 27, 2010 5:43 am    Post subject: Reply with quote

yeah, kttsd has compiling errors, but kdesdk works fine:

Code:

*  kde-base/kdesdk-kioslaves
      Latest version available: 4.4.90
      Latest version installed: 4.4.90
      Size of files: 5,499 kB

*  kde-base/kdesdk-misc
      Latest version available: 4.4.90
      Latest version installed: 4.4.90
      Size of files: 5,499 kB

*  kde-base/kdesdk-scripts
      Latest version available: 4.4.90
      Latest version installed: 4.4.90
      Size of files: 5,499 kB

*  kde-base/kdesdk-strigi-analyzer
      Latest version available: 4.4.90
      Latest version installed: 4.4.90
      Size of files: 5,499 kB



powered by: GCC 4.5.0
glibc 2.11.2
binutils 2.20.1-r1
CFLAGS="-march=native -O3 -pipe -fomit-frame-pointer -fno-ident -ftree-loop-distribution -floop-block -floop-interchange -floop-strip-mine"
CXXFLAGS="${CFLAGS}"
LDFLAGS="-Wl,-O1 -Bdirect -Wl,--as-needed"
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7113
Location: Austria

PostPosted: Sun Jun 27, 2010 9:06 am    Post subject: Reply with quote

kget-4.4.90 didn't compile for me, everything else worked.

Code:
[ 74%] Building CXX object kget/transfer-plugins/bittorrent/CMakeFiles/kget_bittorrentfactory.dir/bttransferfactory.o
[ 74%] Building CXX object kget/CMakeFiles/kget.dir/ui/linkview/kget_linkview.o
[ 74%] Building CXX object kget/transfer-plugins/bittorrent/CMakeFiles/kget_bittorrentfactory.dir/bttransferhandler.o
/var/tmp/portage/kde-base/kget-4.4.90/work/kget-4.4.90/kget/transfer-plugins/bittorrent/bttransferhandler.cpp: In member function ‘void BTTransferHandler::createScanDlg()’:
/var/tmp/portage/kde-base/kget-4.4.90/work/kget-4.4.90/kget/transfer-plugins/bittorrent/bttransferhandler.cpp:81: error: cannot allocate an object of abstract type ‘kt::ScanDlg’
/var/tmp/portage/kde-base/kget-4.4.90/work/kget-4.4.90/kget/transfer-plugins/bittorrent/scandlg.h:40: note:   because the following virtual functions are pure within ‘kt::ScanDlg’:
/usr/include/libktorrent/datachecker/datacheckerlistener.h:67: note:    virtual void bt::DataCheckerListener::error(const QString&)
make[2]: *** [kget/transfer-plugins/bittorrent/CMakeFiles/kget_bittorrentfactory.dir/bttransferhandler.o] Error 1
make[1]: *** [kget/transfer-plugins/bittorrent/CMakeFiles/kget_bittorrentfactory.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....


EDIT: FIXED after a recent sync!

Lustmored wrote:
I know it - but if I'd like to test it out

Just don't try with your real e-mail account ;)
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic


Last edited by asturm on Sun Jun 27, 2010 3:55 pm; edited 1 time in total
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 206
Location: Poland

PostPosted: Sun Jun 27, 2010 10:23 am    Post subject: Reply with quote

Patch from overlay fails until I change:

Quote:
kdepim/kalarm/[...]


into

Quote:
kalarm/[...]


and removing part about korganizer from kalarm and kalarm from korganizer from it. It's probably due to the fact, that only parts of tarball are unpacked.
Back to top
View user's profile Send private message
TheDodger
Tux's lil' helper
Tux's lil' helper


Joined: 12 Aug 2002
Posts: 126
Location: Hamburg

PostPosted: Sun Jun 27, 2010 7:28 pm    Post subject: Reply with quote

I have still problems with actuell live-version from kdelibs
Code:

/var/tmp/portage/portage/kde-base/kdelibs-9999/work/kdelibs-9999/kdeui/kernel/kuniqueapplication.cpp:219: Warnung: Der Rückgabewert von »ssize_t write(int, const void*, size_t)«, der mit dem Attribut warn_unused_result deklariert wurde, wird ignoriert
/var/tmp/portage/portage/kde-base/kdelibs-9999/work/kdelibs-9999/kdeui/kernel/kuniqueapplication.cpp:245: Warnung: Der Rückgabewert von »ssize_t write(int, const void*, size_t)«, der mit dem Attribut warn_unused_result deklariert wurde, wird ignoriert
[ 15%] Building CXX object kdeui/CMakeFiles/kdeui.dir/kernel/ksessionmanager.o
[ 15%] Building CXX object kdeui/CMakeFiles/kdeui.dir/kernel/kstyle.o
/var/tmp/portage/portage/kde-base/kdelibs-9999/work/kdelibs-9999/kdeui/kernel/kstyle.cpp:269:2: Warnung: #warning "mem leak: need to delete bOpt"
/var/tmp/portage/portage/kde-base/kdelibs-9999/work/kdelibs-9999/kdeui/kernel/kstyle.cpp: In member function »virtual void KStyle::drawComplexControl(QStyle::ComplexControl, const QStyleOptionComplex*, QPainter*, const QWidget*) const«:
/var/tmp/portage/portage/kde-base/kdelibs-9999/work/kdelibs-9999/kdeui/kernel/kstyle.cpp:3073: Warnung: Vergleich zwischen vorzeichenbehafteten und vorzeichenlosen Ganzzahlausdrücken
[ 15%] Building CXX object kdeui/CMakeFiles/kdeui.dir/kernel/kstartupinfo.o
/var/tmp/portage/portage/kde-base/kdelibs-9999/work/kdelibs-9999/kdeui/kernel/kstartupinfo.cpp:192:2: Warnung: #warning "systemTrayWindowAdded signal was remove from KWindowSystem class"
[ 15%] Building CXX object kdeui/CMakeFiles/kdeui.dir/kernel/kglobalsettings.o
[ 15%] Building CXX object kdeui/CMakeFiles/kdeui.dir/notifications/kstatusnotifieritem.o
/var/tmp/portage/portage/kde-base/kdelibs-9999/work/kdelibs-9999/kdeui/notifications/kstatusnotifieritem.cpp: In member function »virtual QString KDBusMenuExporter::iconNameForAction(QAction*)«:
/var/tmp/portage/portage/kde-base/kdelibs-9999/work/kdelibs-9999/kdeui/notifications/kstatusnotifieritem.cpp:72: Fehler: »class KIcon« hat kein Element namens »name«
make[2]: *** [kdeui/CMakeFiles/kdeui.dir/notifications/kstatusnotifieritem.o] Fehler 1
make[1]: *** [kdeui/CMakeFiles/kdeui.dir/all] Fehler 2
make: *** [all] Fehler 2


I have yesterday switch to th Qt4.7 (beta) and i think, thats the Problem.

Can anybody help?
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 206
Location: Poland

PostPosted: Sun Jun 27, 2010 7:31 pm    Post subject: Reply with quote

Switch to qt-4.7.9999 - fix is in git.

Had same problem, no other way.
Back to top
View user's profile Send private message
TheDodger
Tux's lil' helper
Tux's lil' helper


Joined: 12 Aug 2002
Posts: 126
Location: Hamburg

PostPosted: Mon Jun 28, 2010 9:03 am    Post subject: Reply with quote

Lustmored wrote:
Switch to qt-4.7.9999 - fix is in git.

Had same problem, no other way.


Thanks.
I compile this qt-version at the moment ...
Back to top
View user's profile Send private message
cruzki123
Apprentice
Apprentice


Joined: 16 May 2008
Posts: 249

PostPosted: Tue Jun 29, 2010 10:32 pm    Post subject: Reply with quote

I continue without having oxygen widged style. Seems like I am not the only one:

http://forum.kde.org/viewtopic.php?uid=169&f=17&t=88334&unwatch=topic

Can we post bugs on kde-4.5 already in bugzilla?
Back to top
View user's profile Send private message
Stefano Crocco
Apprentice
Apprentice


Joined: 28 Sep 2006
Posts: 157

PostPosted: Wed Jun 30, 2010 7:07 am    Post subject: Reply with quote

cruzki123 wrote:
I continue without having oxygen widged style. Seems like I am not the only one:

http://forum.kde.org/viewtopic.php?uid=169&f=17&t=88334&unwatch=topic

Can we post bugs on kde-4.5 already in bugzilla?


I don't know whether it's your case, but I found myself without the oxygen widget style after upgrading from 4.4.4 to 4.5-RC1 and, after a bit of investigation, I found out I found out I missed kde-base/kstyles in the upgrade process. After reinstalling it, oxygen is now working perfectly.

I hope this helps
_________________
Stefano
Back to top
View user's profile Send private message
cruzki123
Apprentice
Apprentice


Joined: 16 May 2008
Posts: 249

PostPosted: Wed Jun 30, 2010 2:35 pm    Post subject: Reply with quote

Stefano Crocco wrote:
cruzki123 wrote:
I continue without having oxygen widged style. Seems like I am not the only one:

http://forum.kde.org/viewtopic.php?uid=169&f=17&t=88334&unwatch=topic

Can we post bugs on kde-4.5 already in bugzilla?


I don't know whether it's your case, but I found myself without the oxygen widget style after upgrading from 4.4.4 to 4.5-RC1 and, after a bit of investigation, I found out I found out I missed kde-base/kstyles in the upgrade process. After reinstalling it, oxygen is now working perfectly.

I hope this helps


I was looking to something like that :) Thnaks
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 206
Location: Poland

PostPosted: Thu Jul 01, 2010 11:34 am    Post subject: Reply with quote

As of kdepim-4.5 beta1 ebuilds kalarm and korganizer fails until patches for kholiday are removed (they are not needed anymore).
Back to top
View user's profile Send private message
xibo
Apprentice
Apprentice


Joined: 21 Aug 2007
Posts: 152
Location: moving between kubuntu and ubuntu kde edition

PostPosted: Sat Jul 03, 2010 9:41 am    Post subject: Reply with quote

is there a way to use kde-4.5 from svn without having to modify the ebuilds?
as i see it i can only use either 4.4.9999, weekly snapshots or prereleases of 4.5, or 9999. kde-4.6 is not usable already and the weekly things require downloading several hundreds of megabytes each week even though the differences are small in rc phase...

EDIT: sorry.
my bad, i was only watching the things in /Documentation/package.*/
Back to top
View user's profile Send private message
Yggdrasil
n00b
n00b


Joined: 08 Jul 2004
Posts: 64
Location: Maybe on Earth, Maybe in the Future

PostPosted: Sat Jul 03, 2010 6:35 pm    Post subject: life k-office builds Reply with quote

Has anyone tried emerging the live builds for KOffice recently? I've been getting a package collision from:
Code:
app-office/koffice-data-9999
app-office/koffice-libs-9999
app-office/krita-9999


Code:
 * Searching all installed packages for file collisions...
 *
 * Press Ctrl-C to Stop
 *
 * app-office/koffice-data-9999
 *      /usr/include/KoConfig.h
 *
 * app-office/koffice-libs-9999
 *      /usr/include/KoConfig.h
 *
 * Package 'app-office/krita-9999' NOT merged due to file collisions. If
 * necessary, refer to your elog messages for the whole content of the
 * above message.


Now, I've emerged koffice-libs and krita anyway, as that seems to be the only problem, but I wasn't sure what to make of this error.
_________________
"We have/need art, so that we don't die of the truth." -- Friedrich Nietzsche
Back to top
View user's profile Send private message
Cyberwizzard
Apprentice
Apprentice


Joined: 02 Apr 2004
Posts: 244
Location: Norway

PostPosted: Mon Jul 05, 2010 12:32 pm    Post subject: Reply with quote

Does anyone have a problem compiling knetworkmanager-9999 against Solid 4.4.90?

I get errors about missing files from the Modem Manager (solid/control/modemmanager.h) - how do I disable the modem bit for KNM or install the MM part in Solid?

Edit: KDE 4.5 has a new networkmanager widget which pretty much obsoletes knetworkmanager for me, so I guess iits no longer an issue for me :)
_________________
More ramblings of a linux junky...


Last edited by Cyberwizzard on Thu Jul 08, 2010 6:36 pm; edited 1 time in total
Back to top
View user's profile Send private message
NForce
Tux's lil' helper
Tux's lil' helper


Joined: 07 Nov 2009
Posts: 79
Location: Kaunas, Lithuania

PostPosted: Thu Jul 08, 2010 4:46 pm    Post subject: Reply with quote

hmm...RC2 is out, but where are the ebuilds?
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 26, 27, 28 ... 36, 37, 38  Next
Page 27 of 38

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum